Attribute VB_Name = "movies"
Option Explicit

Public MoviePlaying As Boolean 'is movie playing?
Public MovieRecording As Boolean 'is movie recording?
Public MovieSlot As Integer 'current movie slot
Public Sub MoviePlay()

  frmSMS.mnuMoviePlay.Caption = "stop" & vbTab & "f8" 'changes the menu

  MoviePlaying = True 'sets the boolean operator

  If FileExists(App.Path & "\movies\" & ROM_Name$ & ".om" & MovieSlot & "") <> True Then 'checks to see if movie exists
    Exit Sub
  End If

  Open App.Path & "\movies\" & ROM_Name$ & ".om" & StateSlot & "" For Binary As #3

  Get #3, , cartRam
  Get #3, , cartRom
  Get #3, , frame_two_rom
  'Get #3, , glMemAddrDiv256
  'Get #3, , Mul4000
  'Get #3, , number_of_pages
  'Get #3, , pages
  'Get #3, , ShiftRight
  'Get #3, , ShiftLeft
  Get #3, , SRAM
  Get #3, , VRAM
  Get #3, , CRAM
  Get #3, , vdpreg
  Get #3, , status
  Get #3, , first_byte
  Get #3, , command_byte
  Get #3, , location
  Get #3, , operation
  Get #3, , read_buffer
  Get #3, , counter
  Get #3, , lineint
  Get #3, , frameint
  'Get #3, , bg_priority
  'Get #3, , display
  Get #3, , regA
  Get #3, , regHL
  Get #3, , regB
  Get #3, , regC
  Get #3, , regDE
  Get #3, , regAF_
  Get #3, , regHL_
  Get #3, , regBC_
  Get #3, , regDE_
  Get #3, , regIX
  Get #3, , regIY
  Get #3, , regID
  Get #3, , fC
  Get #3, , fN
  Get #3, , fPV
  Get #3, , f3
  Get #3, , fH
  Get #3, , f5
  Get #3, , fZ
  Get #3, , fS
  Get #3, , intI
  Get #3, , intR
  Get #3, , intRTemp
  Get #3, , intIFF1
  Get #3, , intIFF2
  Get #3, , intIM
  Get #3, , halt
  Get #3, , regSP
  Get #3, , regPC
  'Get #3, , Parity
  Get #3, , irqsetLine

  'leave it open for movie playing

End Sub
Public Sub MoviePlayEnd()

  If EOF(3) Then Call MoviePlayStop 'checks to see if end of the movie

End Sub
Public Sub MoviePlayStop()

  If MoviePlaying = True Then 'checks to see if it's actually playing
    frmSMS.mnuMoviePlay.Caption = "play" & vbTab & "f8" 'changes the menu caption accordingly
    MoviePlaying = False 'sets the boolean operator
    Close #3 'closes the file writing
    Call frmSMS.mnuReset_Click 'resets the cpu
  End If

End Sub
Public Sub MovieRecord()

  frmSMS.mnuMovieRecord.Caption = "stop" & vbTab & "f7" 'changes menu caption accordingly

  MovieRecording = True 'sets boolean operator

  Open App.Path & "\movies\" & ROM_Name$ & ".om" & MovieSlot & "" For Binary As #3 'opens movie file

  Put #3, , cartRam
  Put #3, , cartRom
  Put #3, , frame_two_rom
  'put #3, , glMemAddrDiv256
  'put #3, , Mul4000
  'Put #3, , number_of_pages
  'Put #3, , pages
  'put #3, , ShiftRight
  'put #3, , ShiftLeft
  Put #3, , SRAM
  Put #3, , VRAM
  Put #3, , CRAM
  Put #3, , vdpreg
  Put #3, , status
  Put #3, , first_byte
  Put #3, , command_byte
  Put #3, , location
  Put #3, , operation
  Put #3, , read_buffer
  Put #3, , counter
  Put #3, , lineint
  Put #3, , frameint
  'Put #3, , bg_priority
  'Put #3, , display
  Put #3, , regA
  Put #3, , regHL
  Put #3, , regB
  Put #3, , regC
  Put #3, , regDE
  Put #3, , regAF_
  Put #3, , regHL_
  Put #3, , regBC_
  Put #3, , regDE_
  Put #3, , regIX
  Put #3, , regIY
  Put #3, , regID
  Put #3, , fC
  Put #3, , fN
  Put #3, , fPV
  Put #3, , f3
  Put #3, , fH
  Put #3, , f5
  Put #3, , fZ
  Put #3, , fS
  Put #3, , intI
  Put #3, , intR
  Put #3, , intRTemp
  Put #3, , intIFF1
  Put #3, , intIFF2
  Put #3, , intIM
  Put #3, , halt
  Put #3, , regSP
  Put #3, , regPC
  'put #3, , Parity
  Put #3, , irqsetLine

  'keeps it open for movie writing

End Sub
Public Sub MovieRecordStop()

  If MovieRecording = True Then 'checks to see if actually recording
    frmSMS.mnuMovieRecord.Caption = "record" & vbTab & "f7" 'changes menu caption accordingly
    MovieRecording = False 'sets boolean operator
    Close #3 'closes file that was being written
  End If

End Sub
