Attribute VB_Name = "settings"
Option Explicit
Public Sub settingsload()

  Zoom_Size = CInt(GetSetting("olafsms", "video", "zoomsize", CInt(1)))
  FullScreenWidth = CLng(GetSetting("olafsms", "video", "fullscreenwidth", CLng(320)))
  FullScreenHeight = CLng(GetSetting("olafsms", "video", "fullscreenheight", CLng(240)))
  FullScreenOnROM = CBool(GetSetting("olafsms", "video", "fullscreenonrom", CBool(False)))
  ScreenResolutionChange = CBool(GetSetting("olafsms", "video", "screenresolutionchange", CBool(True)))
  Input1_Up = CInt(GetSetting("olafsms", "input1", "up", CInt(vbKeyUp)))
  Input1_Down = CInt(GetSetting("olafsms", "input1", "down", CInt(vbKeyDown)))
  Input1_Left = CInt(GetSetting("olafsms", "input1", "left", CInt(vbKeyLeft)))
  Input1_Right = CInt(GetSetting("olafsms", "input1", "right", CInt(vbKeyRight)))
  Input1_1 = CInt(GetSetting("olafsms", "input1", "1", CInt(vbKeyZ)))
  Input1_2 = CInt(GetSetting("olafsms", "input1", "2", CInt(vbKeyX)))
  Input1_GGStart = CInt(GetSetting("olafsms", "input1", "ggstart", CInt(vbKeyC)))
  Input1_Pause = CInt(GetSetting("olafsms", "input1", "pause", CInt(vbKeyReturn)))
  Input1_UseGamepad = CBool(GetSetting("olafsms", "input1", "usegamepad", CBool(False)))
  Input1_WhichGamepad = CLng(GetSetting("olafsms", "input1", "whichgamepad", CLng(JOYSTICK1)))
  Input2_Up = CInt(GetSetting("olafsms", "input2", "up", 0))
  Input2_Down = CInt(GetSetting("olafsms", "input2", "down", 0))
  Input2_Left = CInt(GetSetting("olafsms", "input2", "left", 0))
  Input2_Right = CInt(GetSetting("olafsms", "input2", "right", 0))
  Input2_1 = CInt(GetSetting("olafsms", "input2", "1", 0))
  Input2_2 = CInt(GetSetting("olafsms", "input2", "2", 0))
  Input2_UseGamepad = CBool(GetSetting("olafsms", "input2", "usegamepad", CBool(False)))
  Input2_WhichGamepad = CLng(GetSetting("olafsms", "input2", "whichgamepad", CLng(JOYSTICK2)))
  Joy1_1 = CLng(GetSetting("olafsms", "input1", "j1", CLng(JOY_BUTTON1)))
  Joy1_2 = CLng(GetSetting("olafsms", "input1", "j2", CLng(JOY_BUTTON2)))
  Joy1_GGStart = CLng(GetSetting("olafsms", "input1", "jggstart", CLng(JOY_BUTTON3)))
  Joy1_Pause = CLng(GetSetting("olafsms", "input1", "jpause", CLng(JOY_BUTTON4)))
  Joy2_1 = CLng(GetSetting("olafsms", "input2", "j1", CLng(JOY_BUTTON1)))
  Joy2_2 = CLng(GetSetting("olafsms", "input2", "j2", CLng(JOY_BUTTON2)))
  BG_Color = CInt(GetSetting("olafsms", "video", "bgcolor", CInt(13)))
  DoGameGearBorder = CBool(GetSetting("olafsms", "video", "gamegearborder", CBool(True)))
  LimitSprites = CBool(GetSetting("olafsms", "video", "limitsprites", CBool(False)))

End Sub
Public Sub settingssave()

  Call SaveSetting("olafsms", "video", "zoomsize", CInt(Zoom_Size))
  Call SaveSetting("olafsms", "video", "fullscreenwidth", CLng(FullScreenWidth))
  Call SaveSetting("olafsms", "video", "fullscreenheight", CLng(FullScreenHeight))
  Call SaveSetting("olafsms", "video", "fullscreenonrom", CBool(FullScreenOnROM))
  Call SaveSetting("olafsms", "video", "screenresolutionchange", CBool(ScreenResolutionChange))
  Call SaveSetting("olafsms", "input1", "up", CInt(Input1_Up))
  Call SaveSetting("olafsms", "input1", "down", CInt(Input1_Down))
  Call SaveSetting("olafsms", "input1", "left", CInt(Input1_Left))
  Call SaveSetting("olafsms", "input1", "right", CInt(Input1_Right))
  Call SaveSetting("olafsms", "input1", "1", CInt(Input1_1))
  Call SaveSetting("olafsms", "input1", "2", CInt(Input1_2))
  Call SaveSetting("olafsms", "input1", "ggstart", CInt(Input1_GGStart))
  Call SaveSetting("olafsms", "input1", "usegamepad", CBool(Input1_UseGamepad))
  Call SaveSetting("olafsms", "input1", "whichgamepad", CLng(Input1_WhichGamepad))
  Call SaveSetting("olafsms", "input1", "j1", CLng(Joy1_1))
  Call SaveSetting("olafsms", "input1", "j2", CLng(Joy1_2))
  Call SaveSetting("olafsms", "input1", "jggstart", CLng(Joy1_GGStart))
  Call SaveSetting("olafsms", "input1", "jpause", CLng(Joy1_Pause))
  Call SaveSetting("olafsms", "input2", "up", CInt(Input2_Up))
  Call SaveSetting("olafsms", "input2", "down", CInt(Input2_Down))
  Call SaveSetting("olafsms", "input2", "left", CInt(Input2_Left))
  Call SaveSetting("olafsms", "input2", "right", CInt(Input2_Right))
  Call SaveSetting("olafsms", "input2", "usegamepad", CBool(Input2_UseGamepad))
  Call SaveSetting("olafsms", "input2", "whichgamepad", CLng(Input2_WhichGamepad))
  Call SaveSetting("olafsms", "input2", "j1", CLng(Joy2_1))
  Call SaveSetting("olafsms", "input2", "j2", CLng(Joy2_2))
  Call SaveSetting("olafsms", "input2", "1", CInt(Input2_1))
  Call SaveSetting("olafsms", "input2", "2", CInt(Input2_2))
  Call SaveSetting("olafsms", "video", "bgcolor", CInt(BG_Color))
  Call SaveSetting("olafsms", "video", "gamegearborder", CBool(DoGameGearBorder))
  Call SaveSetting("olafsms", "video", "limitsprites", CBool(LimitSprites))

End Sub
